Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Class MetaDataReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.model.api.ModelException
                      org.eclipse.birt.report.model.api.metadata.MetaDataReaderException

All Implemented Interfaces:
  java.io.Serializable

    public class MetaDataReaderException

extends ModelException

Exception thrown if an error occurs when reading the meta-data description file or the building the meta-data description.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_META_DATA_ERROR` Indicates there are ROM errors.

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`MetaDataReaderException(java.lang.String errCode, org.eclipse.birt.report.model.metadata.MetaDataParserException cause)` Constructs the meta-data reader exception with the error code and the caused parser exception.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_META_DATA_ERROR

    public static final java.lang.String DESIGN_EXCEPTION_META_DATA_ERROR

  Indicates there are ROM errors.

  See Also:
    Constant Field Values

Constructor Detail

### MetaDataReaderException

    public MetaDataReaderException(java.lang.String errCode,
                                   org.eclipse.birt.report.model.metadata.MetaDataParserException cause)

  Constructs the meta-data reader exception with the error code and the caused parser exception.

  Parameters:
    `errCode` - used to retrieve a piece of externalized message displayed to end user
    `cause` - the nested exception

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.